<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

/**
 * Class DangerLevel.
 *
 * @property $id
 * @property $name
 * @property $color
 * @property $danger
 * @property $description
 * @property $evaluations
 */
class DangerLevel extends Model
{
    use HasFactory;
    use HasTimestamps;

    public function danger(): BelongsTo
    {
        return $this->belongsTo(Danger::class);
    }

    public function evaluations(): BelongsToMany
    {
        return $this->belongsToMany(Evaluation::class, 'danger_level_evaluation');
    }
}
